Class | Spec::Matchers::BaseOperatorMatcher
In: | lib/spec/matchers/operator_matcher.rb
Parent: | Object

### Methods

< <= == === =~ > >= fail_with_message new

### Attributes

generated_description | [R] |

### Public Class methods

new(target)

[Source]

       # File lib/spec/matchers/operator_matcher.rb, line 6
    6:       def initialize(target)
    7:         @target = target
    8:       end

### Public Instance methods

<(expected)

[Source]

        # File lib/spec/matchers/operator_matcher.rb, line 35
    35:       def <(expected)
    36:         @expected = expected
    37:         __delegate_method_missing_to_target("<", expected)
    38:       end

<=(expected)

[Source]

        # File lib/spec/matchers/operator_matcher.rb, line 40
    40:       def <=(expected)
    41:         @expected = expected
    42:         __delegate_method_missing_to_target("<=", expected)
    43:       end

==(expected)

[Source]

        # File lib/spec/matchers/operator_matcher.rb, line 10
    10:       def ==(expected)
    11:         @expected = expected
    12:         __delegate_method_missing_to_target("==", expected)
    13:       end

===(expected)

[Source]

        # File lib/spec/matchers/operator_matcher.rb, line 15
    15:       def ===(expected)
    16:         @expected = expected
    17:         __delegate_method_missing_to_target("===", expected)
    18:       end

=~(expected)

[Source]

        # File lib/spec/matchers/operator_matcher.rb, line 20
    20:       def =~(expected)
    21:         @expected = expected
    22:         __delegate_method_missing_to_target("=~", expected)
    23:       end

>(expected)

[Source]

        # File lib/spec/matchers/operator_matcher.rb, line 25
    25:       def >(expected)
    26:         @expected = expected
    27:         __delegate_method_missing_to_target(">", expected)
    28:       end

>=(expected)

[Source]

        # File lib/spec/matchers/operator_matcher.rb, line 30
    30:       def >=(expected)
    31:         @expected = expected
    32:         __delegate_method_missing_to_target(">=", expected)
    33:       end

fail_with_message(message)

[Source]

        # File lib/spec/matchers/operator_matcher.rb, line 45
    45:       def fail_with_message(message)
    46:         Spec::Expectations.fail_with(message, @expected, @target)
    47:       end

[Validate]